<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array();
use Psr\Http\Message\ServerRequestInterface;
class RequestDataFactory
{
    protected $is_developer_mode = false;
    public function __construct(bool $is_developer_mode)
    {
        $this->is_developer_mode = $is_developer_mode;
    }
    public function GetInstance(ServerRequestInterface $request)
    {
        return new RequestData($request, $this->is_developer_mode);
    }
}